1. Renewal
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
        POST
      • Renew domain
        POST
      • Enable or disable domain auto-renew
        PATCH
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Google Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
    • Get Order Status
    • Creates order json
    • Order mailboxes (json)
    • Process the Order
    • Create Order
    • Add mailboxes to a subscription
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Subscription Events
      • Mailbox Events
      • Prewarmup Events
  • Export
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Get all pre warmed up mailboxes
    • Order pre-warmedup mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Renewal

Get domain renewal pricing

POST
/domains/renewal-price
This endpoint allows you to retrieve the renewal price for domain names associated with your users. It provides pricing details for extending the registration period of a domain, helping you manage renewals efficiently.

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Body Params application/jsonRequired

Examples
{
    "userId": "8J7HM04FRXUT4VK86128K6D25APS",
    "domains": [
        "hefty-minion.net",
        "sparkling-disk.info",
        "favorite-hydrolyse.name"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://customers.coldmailreseller.com/api/v1/integration/domains/renewal-price' \
--header 'cmr-x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "userId": "8J7HM04FRXUT4VK86128K6D25APS",
    "domains": [
        "hefty-minion.net",
        "sparkling-disk.info",
        "favorite-hydrolyse.name"
    ]
}'

Responses

🟢200Success
application/json
Body

Examples
{
  "status": 200,
  "message": "Domain renewal prices fetched successfully",
  "data": [
    {
      "domainName": "acme.com",
      "domainId": "5J7HM04FRXMT7VK86128K6D25ASP",
      "years": 1,
      "renewalPrice": "14.50",
      "expireOn": "2026-11-30T00:00:00.000Z",
      "autoRenew": false
    }
  ]
}
🟠422Unprocessable Entity
🟠404Not Found
Modified at 2026-04-03 08:40:34
Previous
Domain Renewal Overview
Next
Renew domain
Built with